Loading...
Searching...
No Matches
transformation.hh File Reference
`#include <array>`
`#include <tuple>`
`#include <memory>`
`#include <utility>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/typetree/typetraits.hh>`
`#include <dune/typetree/nodeinterface.hh>`
`#include <dune/typetree/nodetags.hh>`
`#include <dune/typetree/utility.hh>`

Go to the source code of this file.

## Classes

struct | Dune::TypeTree::TransformTree< SourceTree, Transformation, Tag, recursive >
| Transform a TypeTree. More...

## Namespaces

namespace | Dune
namespace | Dune::TypeTree

## Functions

template<typename SourceNode, typename Transformation, typename Tag>
void | Dune::TypeTree::registerNodeTransformation (SourceNode *, Transformation *, Tag *)
| Register transformation descriptor to transform SourceNode with Transformation.